//--- The Little People................ 11/8/92 M.Miller



#declare Head = 
composite {

   //---- Face
   object {
     union {
       quadric { Sphere scale <10.6 10.6 10.6> translate <0 12.4 0> }
       intersection { Disk_Y scale <2.5 2 2.5> translate <0 1.6 0> }
     }
	texture { Head_Texture translate <0 9 0> }
    }

   //---- Back of Head
   object {
       quadric { Sphere scale <10.6 10.6 10.6> translate <0 12.4 .2> }
	texture { Skin_Texture }
    }

    //--- Yellow Had
    object {
      union {
        difference {
          union {
	   quadric { Sphere scale <12 12 12> translate <0 12.4 0> }
	   intersection { Disk_Y scale <13 .7 13> translate <0 14.9 0> }
	   box { UnitBox scale <13 1.8 2> translate <0 16.1 0> }
	   intersection { Disk_X scale <.5 15 15> translate <0 12.4 0> }
	   intersection { Disk_X scale <.5 15 15> translate <3 12.4 0> }
	   intersection { Disk_X scale <.5 15 15> translate <-3 12.4 0> }
	  }
	   quadric { Sphere scale <13 13 13> translate <0 12.4 0> inverse  }
	   plane { <0 1 0> 14.2 }
        }
        difference {
	   quadric { Sphere scale <12 8 16> translate <0 11 0> }
	   plane { <0 1 0> 14.2 }
	   plane { <0 0 1> 0 inverse }
        }
      }
	   texture { Truck_Yellow }
  		bounded_by {
		box { UnitBox scale <16 10 18> translate <0 15 0> }
		}
    }

  		bounded_by {
		box { UnitBox scale <16 18 18> translate <0 14 0> }
		}

}


#declare Chest =
object {
  difference {
    union {
      quadric { Sphere scale <10 4.5 9> translate <0 26.6 0> }
      intersection { Disk_Y scale <10 5.53 9> translate <0 20.8 0> }
    }
      plane { <1 0 0> 0 rotate <0 0 -7> translate <-10 20 0> }
      plane { <1 0 0> 0 rotate <0 0 -7> translate <10 20 0> inverse }
   }
	texture { Chest_Texture }
  		bounded_by {
		box { UnitBox scale <15 10 15> translate <0 22.6 0> }
		}

} 


#declare Legs =
object {
  difference {
    union {
      quadric { Sphere scale <10.7 15 10.5> translate <0 10 0> }
      quadric { Sphere scale <9.2 9.2 9.2> translate <-3.7 0 0> }
      quadric { Sphere scale <9.2 9.2 9.2> translate <3.7 0 0> }
    }
      plane { <0 1 0> 0 }
      plane { <0 1 0> 14.6 inverse }
   }
	texture { Legs_Texture }
  		bounded_by {
		box { UnitBox scale <15 10 15> translate <0 7 0> }
		}
} 

#declare Arm =
   object {
     union {
      intersection {
         quadric {
            <0.390625 -0.028950391245243 0.390625>
            <0.000000  0.000000000000000 0.000000>
            <0.000000  0.000000000000000 0.000000>
            -1.0
         }
         plane { <0.0 1.0 0.0> 6.570944330792904 }
         plane { <0.0 1.0 0.0> -3.029055669207092 inverse }
      translate <0.0 3.029055669207092 0.0>
     }
     quadric { Sphere scale <2.6 3.6 2.6> translate <0 11 0> }
     difference {
       union {
        quadric { Sphere scale <1.8 3.7 1.8> translate <0 -.9 0> }
        quadric { Sphere scale <2.7 2.7 2.7> translate <-.9 -2.9 0> }	
       }
        quadric { Cylinder_Z scale <1.1 1.1 1> translate <-1.1 -2.9 0> }
        box { UnitBox scale <1.3 .9 3> translate <-2.3 -3.1 0> }
     }
    }
     texture { Skin_Texture }
	bounded_by {
	box { UnitBox scale <5 11 5> translate <0 4.5 0> }
	}
scale <1 1 1.6> translate <0 -10.9 0>
   }



//--- Man with right arm up 
#declare Man1 =
composite {
	composite { Head translate <0 30 0> rotate <0 -10 0> }
	object { Chest }
	object { Legs }
	object { Arm rotate <0 0 18> rotate <40 0 0> translate <10.5 26.1 0> }
	object { Arm rotate <0 180 0> rotate <0 0 -18> translate <-10.5 26.1 0> }

	bounded_by {
	box { UnitBox scale <28 31 32> translate <0 27 0> }
	}
}



//--- Man with both arms up 
#declare Man2 =
composite {
	composite { Head translate <0 30 0> rotate <0 10 0> }
	object { Chest }
	object { Legs }
	object { Arm rotate <0 0 18> rotate <40 0 0> translate <10.5 26.1 0> }
	object { Arm rotate <0 180 0> rotate <130 0 0>  rotate <0 0 -18> translate <-10.5 26.1 0> }

	bounded_by {
	box { UnitBox scale <28 31 32> translate <0 27 0> }
	}
}


